<%@page import="java.util.ArrayList"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt"%>

<c:choose>
	<c:when test="${search == 'Search counter'}">
		<h3>Dundee ProteoCache query results for jobs more than ${counter} </h3>
	</c:when>
	<c:otherwise>
		<h3>Dundee ProteoCache query results</h3>
	</c:otherwise>
</c:choose>
<h3>Time execution: ${timeExecution} ms</h3>
<c:choose>

<c:when test="${results == null}">
	<h3>No jobs for sequence ${prot} </h3>
</c:when>
<c:otherwise>

<table border="1" style="border-collapse: collapse; white-space: nowrap">
	<c:choose>

		<c:when test="${search == 'Search counter'}">
			<thead>
				<tr>
					<th style="text-align: centre">Number of jobs</th>
					<th style="text-align: left">Protein</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${results}" var="res">
					<tr>
						<td>${res.totalId}</td>
						<td style="text-align: left; border-buttom: dotted; font-family: monospace">
							<a title="Click to view all jobs" href="ServletSequenceProtein?prot=${res.prot}&protein=whole&Search=Search+sequence&counterJob=${counter}">${res.prot}</a>
						</td>
					</tr>
				</c:forEach>
		</c:when>

		<c:otherwise>
			<thead>
				<tr>
					<th style="text-align: centre">Job ID</th>
					<th style="text-align: centre">annotation</th>
					<th style="text-align: centre">Sequence</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${results}" var="res" varStatus="status">
					<c:set var="ann" value="${res.predictions}"/>
					<tr>
						<th rowspan="${ann.mapsize + 2}"><a title="Click to view the job log" href="ServletLogInfo?IdJob=${res.id}">${res.id}</a></th>
					</tr>
					<tr>
						<td style="text-align: center; font-weight: bold; font-family: monospace" >Protein Sequence</td>
						<!--  <td style="text-align: left; border-buttom: dotted; font-family: monospace"><c:out value="${res.prot}" /></td> -->
						<c:if test="${flag == 'whole'}">
							<td style="text-align: left; border-buttom: dotted; font-family: monospace"><c:out value="${res.prot}" /></td>
						</c:if>
						<c:if test="${flag == 'part'}">
							<td
								style="text-align: left; border-buttom: dotted; font-family: monospace">
								<c:forEach items="${res.subProt}" var="seq">
									<c:choose>
										<c:when test="${fn:contains(seq, prot)}">
											<span style="background-color: blue">${seq}</span>
										</c:when>
										<c:otherwise>${seq}</c:otherwise>
									</c:choose>
								</c:forEach>
							</td>
						</c:if>
					</tr>
					<c:forEach items="${ann.predictions}" var="seq" varStatus="status">
						<tr>
							<td style="text-align: center; font-weight: bold; font-family: monospace"><c:out value="${seq.key}"/></td>
							<td style="text-align: left; border-buttom: dotted; font-family: monospace"><c:out value="${seq.value}"/></td>
						</tr>
					</c:forEach>
				</c:forEach>
		</c:otherwise>
	</c:choose>
	</tbody>
</table>
</c:otherwise>

</c:choose>